resource_rules:
  issues:
    rules:
      - name: Check issues for backend and frontend labels
        conditions:
          # Make sure we have at least one closed issue at 12.4
          # so it can generate a summary. (no issue no summary!)
          # This: https://gitlab.com/gitlab-org/plan/issues/10
          state: closed
          milestone: '12.4'
        limits:
          most_recent: 1
        actions:
          summarize:
            title: |
              #{Date.today.iso8601} - backend / frontend check
            summary: |
              Please check that issues have the correct
              ~backend and ~frontend labels. You can use
              https://gitlab.com/groups/gitlab-org/-/boards/1134263.

              - [ ] Issues in the current milestone
              - [ ] Issues with the ~Next Up label

              /assign @donaldcook @johnhope @jlear @jarka
              /due #{(Date.today + 7).iso8601}
              /label ~"Plan stage refinement"
